# norootforbuild

Name:		backintime
Version:	1.0.8
Release:	1.pm.3.1

Summary:	Back In Time is a simple backup system for GNOME/KDE4 desktop
License:	GPL
Group:		Productivity/Archiving/Backup
URL:		http://www.le-web.org/back-in-time/

Source0:	http://www.le-web.org/download/%{name}/%{name}-%{version}_src.tar.gz
Source1:        %{name}.png

Requires:	python python-notify rsync

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:	noarch

BuildRequires:  update-desktop-files
BuildRequires:  python-qt4 python-kde4
BuildRequires:  python-gnome gnome-session
BuildRequires:  libkde4-devel


%description
Back In Time is a simple backup system for GNOME/KDE4 desktop inspired from
"flyback project" and "TimeVault". The backup is done by taking snapshots
of a specified set of directories.

All you have to do is configure:

	* Where to save snapshot
	* What directories to backup
	* When backup should be done (manual,
	  every hour, every day, every week, every month)

%package gnome
Summary:	Back In Time is a simple backup system for GNOME/KDE4 desktop
Group:		Productivity/Archiving/Backup
Requires:	python-gnome
Requires:	%{name} = %{version}-%{release}

%description gnome
Back In Time is a simple backup system for GNOME/KDE4 desktop inspired from
"flyback project" and "TimeVault". The backup is done by taking snapshots
of a specified set of directories.

All you have to do is configure:

	* Where to save snapshot
	* What directories to backup
	* When backup should be done (manual,
	  every hour, every day, every week, every month)

%package kde
Summary:	Back In Time is a simple backup system for GNOME/KDE4 desktop
Group:		Productivity/Archiving/Backup
Requires:	python-qt4 python-kde4
Requires:	%{name} = %{version}-%{release}

%description kde
Back In Time is a simple backup system for GNOME/KDE4 desktop inspired from
"flyback project" and "TimeVault". The backup is done by taking snapshots
of a specified set of directories.

All you have to do is configure:

	* Where to save snapshot
	* What directories to backup
	* When backup should be done (manual,
	  every hour, every day, every week, every month)


%prep
%setup -q


%build
%__sed -i -e "s|/share/doc/|/share/doc/packages/|g" common/config.py */Makefile.template

%__sed -i -e "s|gtk-save|%{name}|g"         gnome/backintime-gnome.desktop \
                                            gnome/backintime-gnome-root.desktop
%__sed -i -e "s|document-save|%{name}|g"    kde4/backintime-kde4.desktop
# kde4/backintime-kde4-root.desktop

pushd common
%configure
%__make %{?jobs:-j%{jobs}}
popd
pushd gnome
%configure
%__make %{?jobs:-j%{jobs}}
popd
pushd  kde4
%configure
%__make %{?jobs:-j%{jobs}}
popd

%install
pushd common
%makeinstall
popd
pushd gnome
%makeinstall
popd
pushd kde4
%makeinstall
popd

%__install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%suse_update_desktop_file %{name}-gnome System Backup
%suse_update_desktop_file %{name}-gnome-root System Backup
%suse_update_desktop_file %{name}-kde4 System Backup
#%#suse_update_desktop_file %{name}-kde4-root System Backup

%find_lang %{name}


%clean
rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*
%dir %{_docdir}/%{name}-common
%{_docdir}/%{name}-common/*
%{_mandir}/man1/%{name}.1.gz

%files gnome
%defattr(-,root,root,-)
%{_bindir}/%{name}-gnome
%{_datadir}/applications/%{name}-gnome.desktop
%{_datadir}/applications/%{name}-gnome-root.desktop
%dir %{_datadir}/omf
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf
%dir %{_docdir}/%{name}-gnome
%{_docdir}/%{name}-gnome/*
%{_mandir}/man1/%{name}-gnome.1.gz

%files kde
%defattr(-,root,root,-)
%{_bindir}/%{name}-kde4
%{_datadir}/applications/kde4/%{name}-kde4.desktop
#%#{_datadir}/applications/kde4/%{name}-kde4-root.desktop
%dir %{_docdir}/%{name}-kde4
%{_docdir}/%{name}-kde4/copyright
%dir %{_docdir}/kde4
%dir %{_docdir}/kde4/HTML
%dir %{_docdir}/kde4/HTML/en
%{_docdir}/kde4/HTML/en/%{name}


%changelog
* Fri Jun 24 2011 detlef@links2linux.de
- new upstream version <1.0.8>
  * Fix bug: https://bugs.launchpad.net/backintime/+bug/723545
  * Fix bug: https://bugs.launchpad.net/backintime/+bug/705237
  * Fix bug: https://bugs.launchpad.net/backintime/+bug/696663
  * Fix bug: https://bugs.launchpad.net/backintime/+bug/671946
* Mon Jan  3 2011 detlef@links2linux.de
- new upstream version <1.0.6>
  * Fix bug:
    https://bugs.launchpad.net/backintime/+bug/676223
    https://bugs.launchpad.net/backintime/+bug/672705
  * Smart remove: configurable options:
    https://bugs.launchpad.net/backintime/+bug/406765
* Sat Oct 30 2010 detlef@links2linux.de
- new upstream version <1.0.4>
  * SettingsDialog: show highly recommended excludes
  * Fix bug: https://bugs.launchpad.net/backintime/+bug/664783
  * Option to use checksum to detect changes (https://bugs.launchpad.net/backintime/+bug/666964)
  * Option to select log verbosity (https://bugs.launchpad.net/backintime/+bug/664423)
  * Gnome: use gloobus-preview if installed
* Sat Oct 16 2010 detlef@links2linux.de
- new upstream version <1.0.2>
  * reduce log file (no more duplicate "Compare with..." lines)
  * declare backintime-kde4 packages as a replacement of backintime-kde
* Wed Sep 15 2010 detlef@links2linux.de
- new upstream version <1.0>
  * add '.dropbox*' to default exclude patterns (https://bugs.launchpad.net/backintime/+bug/628172)
  * add option to take a snapshot at every boot (https://bugs.launchpad.net/backintime/+bug/621810)
  * add continue on errors (https://bugs.launchpad.net/backintime/+bug/616299)
  * add expert options: copy unsafe links & copy links
  * "user-callback" replace "user.callback" and receive profile informations
  * documentation: on-line only (easier to maintain)
  * add error log and error log view dialog (Gnome & KDE4)
  * merge with: lp:~dave2010/backintime/minor-edits
  * merge with: lp:~mcfonty/backintime/unique-snapshots-view
  * reduce memory usage during compare with previous snapshot process
  * custom backup hour (for daily backups or mode): https://bugs.launchpad.net/backintime/+bug/507451
  * smart remove was slightly changed (https://bugs.launchpad.net/backintime/+bug/502435)
  * make backup on restore optional
  * add ionice support for user/cron backup process
  * remove "schedule per included directory" (profiles do that) (+ bug LP: #412470)
  * update Slovak translation (Tomáš Vadina <kyberdev@gmail.com>)
  * multiple profiles support
  * backintime snapshot folder is restructured to ../backintime/machine/user/profile_id/
  * added the possibility to include other snapshot folders within a profile, it can only read those, there is not a GUI implementation yet
  * added a tag suffix to the snapshot_id, to avoid double snapshot_ids
  * added a desktop file for kdesu and a test if kdesu or kdesudo should be used (LP: #389988)
  * added expert option to disable snapshots when on battery (LP: #388178)
  * snapshots are stored entirely read-only (LP: #386275)
  * changed default exclude patterns to caches, thumbnails, trashbins, and backups (LP: #422132)
  * write access to snapshot folder is checked & change to snapshot version 2 (LP: #423086)
  * Used a more standard crontab syntax (LP: #409783)
  * Stop the "Over zealous removal of crontab entries" (LP: #451811)
  * and many bugfixes
* Sat Aug 22 2009 detlef@links2linux.de
- fix Requires
* Mon Jun 22 2009 herbert@links2linux.de
- new upstream version <0.9.26>
  * update translations from Launchpad
  * Fix a but smart-remove algorithm (https://bugs.launchpad.net/backintime/+bug/376104)
  * Fix bug: https://bugs.launchpad.net/backintime/+bug/374477
  * Fix bug: https://bugs.launchpad.net/backintime/+bug/375113
  * update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
  * add '--no-check' option to configure scripts
  * use only 'folder' term (more consistent with GNOME/KDE)
  * add 'expert option': enable/disable nice for cron jobs
  * GNOME & KDE4: refresh snapshots button force files view to update too
  * you can include a backup parent directory (backup directory will auto-exclude itself)
  * fix some small bugs
- new upstream version <0.9.24>
  * update translations
  * KDE4: fix python string <=> QString problems
  * KDE4 FilesView/SnapshotsDialog: ctrl-click just select (don't execute)
  * KDE4: fix crush after "take snapshot" process (https://bugs.launchpad.net/backintime/+bug/366241)
  * store basic permission in a special file so it can restore them correctly (event from NTFS)
  * add config version
  * implement Gnome/KDE4 systray icons and user.callback as plugins
  * reorganize code: common/GNOME/KDE4
  * GNOME: break the big glade file in multiple file
  * backintime is no longer aware of 'backintime-gnome' and 'backintime-kde4'
    (you need run 'backintime-gnome' for GNOME version and 'backintime-kde4' for KDE4 version)
- new upstream version <0.9.22.1>
  * fix French translation
- new upstream version <0.9.22>
  * update translations from Launchpad
  * KDE4: fix some translation problems
  * remove --safe-links for save/restore (this means copy symlinks as symlinks)
  * update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
  * create directory now use python os.makedirs (replace use of mkdir command)
  * KDE4: fix a crush related to QString - python string conversion
  * GNOME & KDE4 SettingsDialog: if schedule automatic backups per directory is set, global schedule is hidden
  * GNOME FilesView: thread "*~" files (backup files) as hidden files
  * GNOME: use gtk-preferences icon for SettingsDialog (replace gtk-execute icon)
  * expert option: $XDG_CONFIG_HOME/backintime/user.callback (if exists) is called a different steps
    of a "take snapshot" process (before, after, on error, is a new snapshot was taken).
  * add more command line options: --snapshots-list, --snapshots-list-path, --last-snapshot, --last-snapshot-path
  * follow FreeDesktop directories specs:
    $XDG_DATA_HOME (default: $HOME/.local/share) to store app.lock files
    $XDG_CONFIG_HOME (default: $HOME/.config) to save settings
  * new install system: use more common steps (./configure; make; sudo make install)
- new upstream version <0.9.20>
  * smart remove: fix an important bug and make it more verbose in syslog
  * update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
- new upstream version <0.9.18>
  * update translations from Launchpad
  * update Slovak translation (Tomáš Vadina <kyberdev@gmail.com>)
  * update French translation (Michel Corps <mahikeulbody@gmail.com>)
  * update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
  * GNOME bugfix: fix a crush in files view for files with special characters (ex: "a%%20b")
  * GNOME SettingsDialog bugfix: if snapshots path is a new created folder, snapshots navigation (files view) don't work
  * update doc
  * GNOME & KDE4 MainWindow: Rename "Places" list with "Snapshots"
  * GNOME SettingsDialog bugfix: modify something, then press cancel. If you reopen the dialog it show wrong values (the ones before cancel)
  * GNOME & KDE4: add root mode menu entries (use gksu for gnome and kdesudo for kde)
  * GNOME & KDE4: MainWindow - Files view: if the current directory don't exists in current snapshot display a message
  * SettingDialog: add an expert option to enable to schedule automatic backups per directory
  * SettingDialog: schedule automatic backups - if the application can't find crontab it show an error
  * SettingDialog: if the application can't write in snapshots directory there should be an error message
  * add Polish translation (Paweł Hołuj <pholuj@gmail.com>)
  * add cron in common package dependencies
  * GNOME & KDE4: rework settings dialog
  * SettingDialog: add an option to enable/disable notifications
* Fri Apr 24 2009 herbert@links2linux.de
- require python-kde4 for kde subpackage
* Tue Mar 17 2009 detlef@links2linux.de
- new upstream version <0.9.16.1>
  * fix a bug/crush for French version
  * update translations
  * don’t show the snapshot that is being taken in snapshots list
  * GNOME & KDE4: when the application starts and snapshots directory don’t exists show a messagebox
  * give more information for ‘take snapshot’ progress (to prove that is not blocked)
  * MainWindow: rename ‘Timeline’ column with ‘Snapshots’
  * when it tries to take a snapshot if the snapshots directory don’t exists  (it is on a removable drive that is not plugged) it will notify and wait maxmimum 30  seconds (for the drive to be plugged)
  * GNOME & KDE4: add notify if the snapshots directory don’t exists
  * KDE4: rework MainWindow
* Thu Mar 12 2009 detlef@links2linux.de
- fix DOCDIR in config.py
* Thu Mar  5 2009 detlef@links2linux.de
- new upstream version <0.9.14>
  * update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
  * update Swedish translation (Niklas Grahn <terra.unknown@yahoo.com>)
  * update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
  * update French translation (Michel Corps <mahikeulbody@gmail.com>)
  * GNOME & KDE4: rework MainWindow
  * GNOME & KDE4: rework SettingsDialog
  * GNOME & KDE4: add "smart" remove
* Sat Feb 28 2009 detlef@links2linux.de
- new upstream version <0.9.12>
  * bug fix: now if you include “.abc” folder and exclude “.*”, “.abc” will be saved in the snapshot
  * KDE4: add help
  * add Slovenian translation
  * bug fix (GNOME): bookmarks with special characters
  * add Swedish translation
  * KDE4: drop and drop from backintime files view to any file manager
  * bug fix: fix a segfault when running from cron
* Sat Feb 21 2009 detlef@links2linux.de
- new upstream version <0.9.8>
  * update Spanish translation
  * bug fix: unable to restore files that contains space char in their name
  * unsafe links are ignored (that means that a link to a file/directory outside of include directories are ignored)
  * KDE4: add copy to clipboard
  * KDE4: sort files by name, size or date
  * cron 5/10 minutes: replace mutiple lines with a single crontab line using divide (*/5 or */10)
  * cron: when called from cron redirect output (stdout & stderr) to /dev/null
* Tue Feb 10 2009 detlef@links2linux.de
- new upstream version <0.9.6>
- split package in backintime, backintime-gnome and backintime-kde4
  * update Spanish translation
  * update German translation
  * GNOME: update docbook
  * KDE4: add snapshots dialog
  * GNOME & KDE4: add update snapshots button
  * GNOME: handle special folders icons (home, desktop)
* Sat Jan 31 2009 detlef@links2linux.de
- new upstream version <0.9.4>
  * update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
  * gnome: better handling of 'take snapshot' status icon
  * kde4 (>= 4.1): first version (not finished)
  * update man
* Fri Jan 16 2009 detlef@links2linux.de
- new upstream version <0.9.2>
  * update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
  * update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
  * bug fix: if you add "/a" in include directories and "/a/b" in exclude patterns, "/a/b*" items
    are not excluded
  * replace diff with rsync to check if a new snapshot is needed
  * code cleanup
  * add show hidden & backup files toggle button for files view
  * bug fix: it does not include ".*" items even if they are not excluded
    (the items was included but not showed because hidden & backup files was never displayed
    in files view in previous versions)
* Sun Jan 11 2009 detlef@links2linux.de
- new upstream version <0.9>
  * update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
  * make deb packages more debian friendly (thanks to Michael Wiedmann <mw@miwie.in-berlin.de>)
  * update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
  * bug fix: when you open snapshots dialog for the second time ( or more ) and you make a diff.
    it will make the diff on the file for the first dialog ( all previous dialogs ) and then for.
    the current one
  * better separation between common and gnome specific files and.
    divide backintime package in backintime-common & backintime-gnome
    ( this will allow me to write other GUI frontends like KDE4 or KDE )
  * code cleanup
* Sun Dec 21 2008 detlef@links2linux.de
- new upstream version <0.8.20>
  * bug fix: sorting files/directories by name is now case insensitive
  * getmessages.sh: ignore "gtk-" items (this are gtk stock item ids and sould not be changed)
* Wed Dec 17 2008 detlef@links2linux.de
- new upstream version <0.8.18>
  * update man/docbook
  * add sort columns in MainWindow:FileView and SnapshotsDialog
  * fix German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* Fri Dec 12 2008 detlef@links2linux.de
- new upstream version <0.8.16>
  * add Drag & Drop from MainWindow:FileView/SnapshotsDialog to Nautilus
  * update German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
* Mon Dec  8 2008 detlef@links2linux.de
- new upstream version <0.8.14>
  * add more command line parameters ( --version, --snapshots, --help )
  * fix a crush for getting info on dead symbolic links
  * when taking a new backup based on the previous one don't copy the previous extra info (ex: name)
  * copy unsafe links when taking a snapshot
* Sat Dec  6 2008 detlef@links2linux.de
- new upstream version <0.8.12>
  * add German translation (Michael Wiedmann <mw@miwie.in-berlin.de>)
  * add SnapshotNameDialog
  * add Name/Remove snapshot in main toolbar
  * change the way it detects if the mainwindow is the ative window (no dialogs)
  * Toolbars: show icons only
  * update Spanish translation (Francisco Manuel García Claramonte <franciscomanuel.garcia@hispalinux.es>)
* Sat Nov 22 2008 detlef@links2linux.de
- Initial build.
